# Uses of Enum Class
org.apache.lucene.backward_codecs.lucene92.Lucene92Codec.Mode

Packages that use Lucene92Codec.Mode
Package
Description
org.apache.lucene.backward_codecs.lucene92
Lucene 9.2 file format.

- ## Uses of Lucene92Codec.Mode in org.apache.lucene.backward_codecs.lucene92

  Methods in org.apache.lucene.backward_codecs.lucene92 that return Lucene92Codec.Mode
  Modifier and Type
  Method
  Description
  `static Lucene92Codec.Mode`
  Lucene92Codec.Mode.`valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Lucene92Codec.Mode[]`
  Lucene92Codec.Mode.`values()`
  Returns an array containing the constants of this enum class, in the order they are declared.
  Constructors in org.apache.lucene.backward_codecs.lucene92 with parameters of type Lucene92Codec.Mode
  Modifier
  Constructor
  Description
  ``
  `Lucene92Codec(Lucene92Codec.Mode mode)`
  Instantiates a new codec, specifying the stored fields compression mode to use.